# List Synced HD Wallets (xPub, yPub, zPub)

Through this endpoint you can list all of your synced HD Wallets by providing their blockchain protocol and network.

- **Endpoint:** `GET https://rest.cryptoapis.io/hd-wallets/manage/{blockchain}/{network}`
- **Authentication:** `x-api-key` header
- **Credits cost:** 30 credits for 1 result
- **Documentation page:** https://developers.cryptoapis.io/v-2.2024-12-12-175/RESTapis/manage-hd-wallet/list-synced-hd-wallets-xpub-ypub-zpub/get

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `blockchain` | string | yes | Represents the specific blockchain protocol name, e.g. Ethereum, Bitcoin, etc. Allowed values: `binance-smart-chain`, `bitcoin`, `bitcoin-cash`, `dash`, `dogecoin`, `ethereum`, `ethereum-classic`, `litecoin`, `tron`, `xrp`, `zcash`. |
| `network` | string | yes | Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while networks like "testnet", "sepolia" are test networks. Allowed values: `mainnet`, `testnet`, `mordor`, `nile`, `sepolia`. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `limit` | integer | no | Defines how many items should be returned in the response per page basis. |
| `offset` | integer | no | The starting index of the response items, i.e. where the response should start listing the returned items. |

## Responses

| Status | Description |
| --- | --- |
| 200 | The request has been successful. |
| 400 | 400 |
| 401 | 401 |
| 402 | 402 |
| 403 | 403 |
| 409 | The data provided seems to be invalid. |
| 415 | The selected Media Type is unavailable. The Content-Type header should be 'application/json'. |
| 422 | Your request body for POST requests must have a structure of { data: { item: [...properties] } } |
| 429 | The request limit has been reached. There can be maximum {requests} requests per {seconds} second(s) made. Please contact our team via email if you need more or upgrade your plan. |
| 500 | An unexpected server error has occurred, we are working to fix this. Please try again later and in case it occurs again please report it to our team via email. |

### Example 200 response

```json
{
  "apiVersion": "2024-12-12",
  "requestId": "601c1710034ed6d407996b30",
  "context": "yourExampleString",
  "data": {
    "limit": 50,
    "offset": 0,
    "total": 100,
    "items": [
      {
        "extendedPublicKey": "xpub6C25R29GcNuxTsDMDmkfBXi2eqg6PyAJtSX8EVMK7scsSVrLfHCLK3LtR3GvAgoGe8vJF7R85BbTxGsSSertPTXzJy2EyJWhHvWTrJmZpHa",
        "isActive": true,
        "syncStatus": "DONE"
      }
    ]
  }
}
```

### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apiVersion` | string | yes | Specifies the version of the API that incorporates this endpoint. |
| `requestId` | string | yes | Defines the ID of the request. The `requestId` is generated by Crypto APIs and it's unique for every request. |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `data` | object | yes |  |
| `data.limit` | integer | yes | Defines how many items should be returned in the response per page basis. |
| `data.offset` | integer | yes | The starting index of the response items, i.e. where the response should start listing the returned items. |
| `data.total` | integer | yes | Defines the total number of items returned in the response. |
| `data.items` | array of object | yes |  |
| `data.items[].extendedPublicKey` | string | yes | Defines the account extended publicly known key which is used to derive all child public keys. |
| `data.items[].isActive` | boolean | yes | Defines the activation status of the hd wallet - if it is active or not. |
| `data.items[].syncStatus` | string | yes | Defines the sync status of the hd wallet - if it is synced or not. |
